Latest 1.0.0
Homepage https://github.com/ArchimboldiMao/PromptMessage
License Apache License 2
Platforms ios 8.0
Authors

PromptMessage

A prompt message framework for iOS apps.

Requirements

  • iOS 8.0+
  • Xcode 8.0+
  • Swift 3

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects.

Specify PromptMessage into your project’s Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '8.0'
use_frameworks!

pod 'PromptMessage'

Then run the following command:

$ pod install

Usage

import PromptMessage
let message = Message.init(titleText: "This is a bottom prompt message.", textColor: UIColor.white, backgroundColor: UIColor.init(red: 0.97, green: 0.73, blue: 0.18, alpha: 1.0))
PromptMessage.show(withMessage: message)

More usage, please see the PromptMessageExample.

Author

Written by Archimboldi Mao. You can find me on Twitter if you have any suggestions, requests, or just want to talk!

If you use this library in your application, please let me know about it.

License

All code contributed to PromptMessage is released under an Apache 2.0 license.

Latest podspec

{
    "name": "PromptMessage",
    "version": "1.0.0",
    "summary": "A prompt message framework for iOS apps.",
    "description": "A prompt message framework for iOS apps.",
    "homepage": "https://github.com/ArchimboldiMao/PromptMessage",
    "license": {
        "type": "Apache License 2",
        "file": "LICENSE"
    },
    "authors": {
        "archimboldi": "[email protected]"
    },
    "social_media_url": "https://twitter.com/ArchimboldiMao",
    "platforms": {
        "ios": "8.0"
    },
    "source": {
        "git": "https://github.com/ArchimboldiMao/PromptMessage.git",
        "tag": "1.0.0"
    },
    "source_files": [
        "PromptMessage",
        "PromptMessage/*.{h,swift}"
    ],
    "exclude_files": "Classes/Exclude",
    "pushed_with_swift_version": "3.0"
}

Pin It on Pinterest

Share This